diff --git a/frontend/src/pages/AdminDashboard.js b/frontend/src/pages/AdminDashboard.js
index 94c04e5..5d737d8 100644
--- a/frontend/src/pages/AdminDashboard.js
+++ b/frontend/src/pages/AdminDashboard.js
@@ -1,4 +1,4 @@
-import React, { useState, useEffect } from "react";
+import React, { useState, useEffect, useRef } from "react";
 import { useNavigate } from "react-router-dom";
 import axios from "axios";
 import {
@@ -26,6 +26,10 @@ import {
   FileText,
   FileSpreadsheet,
   Info,
+  Image,
+  Printer,
+  CheckCircle,
+  Clock,
 } from "lucide-react";
 import { Button } from "../components/ui/button";
 import { Input } from "../components/ui/input";
@@ -68,6 +72,7 @@ import { useAuth } from "../context/AuthContext";
 import { toast } from "sonner";
 import RichTextEditor from "../components/RichTextEditor";
 import ImageUploadManager from "../components/ImageUploadManager";
+import MediaManager from "../components/MediaManager";
 import { clearCache } from "../utils/apiCache";
 
 const API = `${process.env.REACT_APP_BACKEND_URL}/api`;
@@ -146,6 +151,23 @@ const AdminDashboard = () => {
 
   // Bookings state
   const [bookings, setBookings] = useState([]);
+  const [bookingCompleteDialog, setBookingCompleteDialog] = useState(false);
+  const [selectedBooking, setSelectedBooking] = useState(null);
+  const [bookingCompleteForm, setBookingCompleteForm] = useState({
+    diagnosis: "",
+    work_performed: "",
+    technician_notes: "",
+    service_cost: "",
+    paid: true,
+    device_model: "",
+    serial_number: "",
+    product_number: "",
+    screen_size: "",
+  });
+  const [receiptData, setReceiptData] = useState(null);
+  const [showReceiptDialog, setShowReceiptDialog] = useState(false);
+  const [isEditMode, setIsEditMode] = useState(false);
+  const receiptRef = useRef(null);
 
   // Categories state
   const [categories, setCategories] = useState([]);
@@ -174,9 +196,15 @@ const AdminDashboard = () => {
   const [usersPerPage, setUsersPerPage] = useState(20);
   const [currentUsersPage, setCurrentUsersPage] = useState(1);
 
-  // Delete confirmation state
+  // Delete confirmation state (generic for all delete operations)
   const [deleteConfirmOpen, setDeleteConfirmOpen] = useState(false);
   const [productToDelete, setProductToDelete] = useState(null);
+  const [confirmDialog, setConfirmDialog] = useState({
+    open: false,
+    title: "Confirm Action",
+    message: "Are you sure you want to proceed?",
+    onConfirm: null,
+  });
 
   // About Page state
   const [aboutContent, setAboutContent] = useState([]);
@@ -203,6 +231,27 @@ const AdminDashboard = () => {
     icon: "",
   });
 
+  // Helper function to show confirmation dialog
+  const showConfirmDialog = (title, message, onConfirm) => {
+    setConfirmDialog({
+      open: true,
+      title,
+      message,
+      onConfirm,
+    });
+  };
+
+  const handleConfirmAction = () => {
+    if (confirmDialog.onConfirm) {
+      confirmDialog.onConfirm();
+    }
+    setConfirmDialog({ ...confirmDialog, open: false, onConfirm: null });
+  };
+
+  const handleCancelConfirm = () => {
+    setConfirmDialog({ ...confirmDialog, open: false, onConfirm: null });
+  };
+
   useEffect(() => {
     // Only fetch if properly authenticated as admin
     if (isAuthenticated && user?.role === "admin" && token) {
@@ -283,7 +332,7 @@ const AdminDashboard = () => {
           toast.error("Server error. Please try again later.");
         } else {
           toast.error(
-            `Failed to load dashboard data (Error ${error.response.status})`
+            `Failed to load dashboard data (Error ${error.response.status})`,
           );
         }
       } else if (error.request) {
@@ -304,7 +353,7 @@ const AdminDashboard = () => {
         `${API}/admin/products?include_inactive=true`,
         {
           headers: { Authorization: `Bearer ${token}` },
-        }
+        },
       );
       setProducts(response.data);
     } catch (error) {
@@ -318,7 +367,7 @@ const AdminDashboard = () => {
         `${API}/admin/services?include_inactive=true`,
         {
           headers: { Authorization: `Bearer ${token}` },
-        }
+        },
       );
       setServices(response.data);
     } catch (error) {
@@ -356,7 +405,7 @@ const AdminDashboard = () => {
         `${API}/admin/reports/sales?period=${reportPeriod}`,
         {
           headers: { Authorization: `Bearer ${token}` },
-        }
+        },
       );
       setSalesReport(response.data);
     } catch (error) {
@@ -456,13 +505,13 @@ const AdminDashboard = () => {
         {},
         {
           headers: { Authorization: `Bearer ${token}` },
-        }
+        },
       );
       toast.success("User status updated");
       fetchUsers();
     } catch (error) {
       toast.error(
-        error.response?.data?.detail || "Failed to update user status"
+        error.response?.data?.detail || "Failed to update user status",
       );
     }
   };
@@ -519,7 +568,7 @@ const AdminDashboard = () => {
           await axios.put(
             `${API}/admin/about/content/${editingAboutItem.id}`,
             data,
-            { headers: { Authorization: `Bearer ${token}` } }
+            { headers: { Authorization: `Bearer ${token}` } },
           );
           toast.success("Content updated");
         } else {
@@ -544,7 +593,7 @@ const AdminDashboard = () => {
           await axios.put(
             `${API}/admin/about/team/${editingAboutItem.id}`,
             data,
-            { headers: { Authorization: `Bearer ${token}` } }
+            { headers: { Authorization: `Bearer ${token}` } },
           );
           toast.success("Team member updated");
         } else {
@@ -566,7 +615,7 @@ const AdminDashboard = () => {
           await axios.put(
             `${API}/admin/about/values/${editingAboutItem.id}`,
             data,
-            { headers: { Authorization: `Bearer ${token}` } }
+            { headers: { Authorization: `Bearer ${token}` } },
           );
           toast.success("Company value updated");
         } else {
@@ -582,46 +631,61 @@ const AdminDashboard = () => {
       fetchAboutData();
     } catch (error) {
       toast.error(
-        error.response?.data?.detail || "Failed to save about page item"
+        error.response?.data?.detail || "Failed to save about page item",
       );
     }
   };
 
-  const handleDeleteAboutItem = async (id, type) => {
-    if (!window.confirm("Are you sure you want to delete this item?")) return;
-
-    try {
-      if (type === "content") {
-        await axios.delete(`${API}/admin/about/content/${id}`, {
-          headers: { Authorization: `Bearer ${token}` },
-        });
-        toast.success("Content deleted");
-      } else if (type === "team") {
-        await axios.delete(`${API}/admin/about/team/${id}`, {
-          headers: { Authorization: `Bearer ${token}` },
-        });
-        toast.success("Team member deleted");
-      } else if (type === "value") {
-        await axios.delete(`${API}/admin/about/values/${id}`, {
-          headers: { Authorization: `Bearer ${token}` },
-        });
-        toast.success("Company value deleted");
-      }
-
-      fetchAboutData();
-    } catch (error) {
-      toast.error(
-        error.response?.data?.detail || "Failed to delete about page item"
-      );
-    }
+  const handleDeleteAboutItem = (id, type) => {
+    const itemName =
+      type === "content"
+        ? "content section"
+        : type === "team"
+          ? "team member"
+          : "company value";
+    showConfirmDialog(
+      "Delete Item",
+      `Are you sure you want to delete this ${itemName}? This action cannot be undone.`,
+      async () => {
+        try {
+          if (type === "content") {
+            await axios.delete(`${API}/admin/about/content/${id}`, {
+              headers: { Authorization: `Bearer ${token}` },
+            });
+            toast.success("Content deleted");
+          } else if (type === "team") {
+            await axios.delete(`${API}/admin/about/team/${id}`, {
+              headers: { Authorization: `Bearer ${token}` },
+            });
+            toast.success("Team member deleted");
+          } else if (type === "value") {
+            await axios.delete(`${API}/admin/about/values/${id}`, {
+              headers: { Authorization: `Bearer ${token}` },
+            });
+            toast.success("Company value deleted");
+          }
+          fetchAboutData();
+        } catch (error) {
+          toast.error(
+            error.response?.data?.detail || "Failed to delete about page item",
+          );
+        }
+      },
+    );
   };
 
   // Product CRUD
   const handleProductSubmit = async () => {
     try {
+      const price = parseFloat(productForm.price);
+      if (isNaN(price) || price <= 0) {
+        toast.error("Price must be greater than 0");
+        return;
+      }
+
       const data = {
         ...productForm,
-        price: parseFloat(productForm.price),
+        price: price,
         stock: parseInt(productForm.stock) || 10,
       };
 
@@ -677,9 +741,15 @@ const AdminDashboard = () => {
   // Service CRUD
   const handleServiceSubmit = async () => {
     try {
+      const price = parseFloat(serviceForm.price) || 0;
+      if (isNaN(price) || price < 0) {
+        toast.error("Price cannot be negative");
+        return;
+      }
+
       const data = {
         ...serviceForm,
-        price: parseFloat(serviceForm.price),
+        price: price,
       };
 
       if (editingService) {
@@ -712,21 +782,330 @@ const AdminDashboard = () => {
     }
   };
 
-  const handleDeleteService = async (id) => {
-    if (!window.confirm("Are you sure you want to delete this service?"))
-      return;
+  const handleDeleteService = (id) => {
+    showConfirmDialog(
+      "Delete Service",
+      "Are you sure you want to delete this service? This action cannot be undone.",
+      async () => {
+        try {
+          await axios.delete(`${API}/admin/services/${id}`, {
+            headers: { Authorization: `Bearer ${token}` },
+          });
+          toast.success("Service deleted");
+          clearCache("services-");
+          fetchServices();
+        } catch (error) {
+          toast.error("Failed to delete service");
+        }
+      },
+    );
+  };
+
+  // Booking completion
+  const handleOpenCompleteDialog = (booking) => {
+    setSelectedBooking(booking);
+    setBookingCompleteForm({
+      diagnosis: booking.diagnosis || "",
+      work_performed: booking.work_performed || "",
+      technician_notes: booking.technician_notes || "",
+      service_cost: booking.service_cost || "",
+      paid: booking.paid !== undefined ? booking.paid : true,
+      device_model: booking.device_model || "",
+      serial_number: booking.serial_number || "",
+      product_number: booking.product_number || "",
+      screen_size: booking.screen_size || "",
+    });
+    setIsEditMode(false);
+    setBookingCompleteDialog(true);
+  };
+
+  const handleDeleteBooking = (booking) => {
+    showConfirmDialog(
+      "Delete Booking",
+      `Are you sure you want to delete the booking for "${booking.name}"? This action cannot be undone.`,
+      async () => {
+        try {
+          await axios.delete(`${API}/admin/bookings/${booking.id}`, {
+            headers: { Authorization: `Bearer ${token}` },
+          });
+          toast.success("Booking deleted successfully");
+          fetchBookings();
+        } catch (error) {
+          toast.error("Failed to delete booking");
+        }
+      },
+    );
+  };
+
+  const handleCompleteBooking = async () => {
+    if (!selectedBooking) return;
     try {
-      await axios.delete(`${API}/admin/services/${id}`, {
-        headers: { Authorization: `Bearer ${token}` },
-      });
-      toast.success("Service deleted");
-      clearCache("services-");
-      fetchServices();
+      const data = {
+        ...bookingCompleteForm,
+        service_cost: bookingCompleteForm.service_cost
+          ? parseFloat(bookingCompleteForm.service_cost)
+          : null,
+      };
+      await axios.put(
+        `${API}/admin/bookings/${selectedBooking.id}/complete`,
+        data,
+        { headers: { Authorization: `Bearer ${token}` } },
+      );
+      toast.success("Service marked as completed!");
+      setBookingCompleteDialog(false);
+      setSelectedBooking(null);
+      fetchBookings();
     } catch (error) {
-      toast.error("Failed to delete service");
+      toast.error("Failed to complete booking");
     }
   };
 
+  const handleUpdateBookingStatus = async (bookingId, status) => {
+    try {
+      await axios.put(
+        `${API}/admin/bookings/${bookingId}/status?status=${status}`,
+        {},
+        { headers: { Authorization: `Bearer ${token}` } },
+      );
+      toast.success(`Booking status updated to ${status}`);
+      fetchBookings();
+    } catch (error) {
+      toast.error("Failed to update status");
+    }
+  };
+
+  const handlePrintReceipt = async (booking) => {
+    try {
+      const response = await axios.get(
+        `${API}/admin/bookings/${booking.id}/receipt`,
+        { headers: { Authorization: `Bearer ${token}` } },
+      );
+      setReceiptData(response.data);
+      setShowReceiptDialog(true);
+    } catch (error) {
+      toast.error("Failed to load receipt data");
+    }
+  };
+
+  const printReceipt = () => {
+    if (!receiptData) return;
+
+    const printWindow = window.open("", "_blank");
+    printWindow.document.write(`
+      <!DOCTYPE html>
+      <html>
+      <head>
+        <title>Service Receipt - PromptTech Solutions</title>
+        <style>
+          * { margin: 0; padding: 0; box-sizing: border-box; }
+          body { 
+            font-family: Arial, sans-serif; 
+            padding: 15px; 
+            color: #333; 
+            font-size: 13px;
+            line-height: 1.4;
+          }
+          .receipt { 
+            max-width: 700px; 
+            margin: 0 auto; 
+            border: 1px solid #ddd; 
+            padding: 15px 20px; 
+          }
+          .header { 
+            text-align: center; 
+            margin-bottom: 12px; 
+            border-bottom: 2px solid #2563eb; 
+            padding-bottom: 10px; 
+          }
+          .logo { 
+            display: flex; 
+            flex-direction: column; 
+            align-items: center; 
+            margin-bottom: 5px; 
+          }
+          .logo img { 
+            height: 40px; 
+            width: auto; 
+            max-width: 100px;
+            margin-bottom: 5px; 
+          }
+          .logo-text { 
+            font-size: 20px; 
+            font-weight: bold; 
+            color: #2563eb; 
+          }
+          .company-info { font-size: 12px; color: #666; }
+          .receipt-title { 
+            font-size: 16px; 
+            font-weight: bold; 
+            margin: 10px 0; 
+            text-align: center; 
+          }
+          .section { margin-bottom: 10px; }
+          .section-title { 
+            font-weight: bold; 
+            font-size: 13px;
+            border-bottom: 1px solid #eee; 
+            padding-bottom: 3px; 
+            margin-bottom: 6px; 
+          }
+          .grid { 
+            display: grid; 
+            grid-template-columns: 1fr 1fr; 
+            gap: 3px 15px; 
+          }
+          .grid-item { font-size: 13px; }
+          .grid-item .label { font-weight: 500; color: #666; }
+          .notes-box { 
+            background: #f5f5f5; 
+            padding: 8px; 
+            border-radius: 4px; 
+            margin-top: 5px;
+            font-size: 13px;
+          }
+          .notes-label { font-weight: 500; color: #666; margin-bottom: 3px; }
+          .total { 
+            font-size: 16px; 
+            font-weight: bold; 
+            text-align: right; 
+            padding-top: 10px; 
+            margin-top: 10px;
+            border-top: 2px solid #333; 
+          }
+          .footer { 
+            text-align: center; 
+            margin-top: 15px; 
+            padding-top: 10px; 
+            border-top: 1px solid #eee; 
+            font-size: 12px; 
+            color: #888; 
+          }
+          @media print { 
+            @page {
+              margin: 0.5in;
+              size: auto;
+            }
+            body { 
+              -webkit-print-color-adjust: exact; 
+              print-color-adjust: exact; 
+              padding: 0;
+              margin: 0;
+            }
+            .receipt { border: none; padding: 10px; }
+          }
+        </style>
+      </head>
+      <body>
+        <div class="receipt">
+          <div class="header">
+            <div class="logo">
+              <img src="/logo.png" alt="PromptTech Solutions" onerror="this.style.display='none'" />
+              <span class="logo-text">PromptTech Solutions</span>
+            </div>
+            <div class="company-info">
+              <p>${receiptData.company?.address || "Belmopan City, Cayo District, Belize"}</p>
+              <p>Phone: ${receiptData.company?.phone || "+501 638-6318"} | Email: ${receiptData.company?.email || "prompttechbz@gmail.com"}</p>
+            </div>
+          </div>
+
+          <h2 class="receipt-title">SERVICE RECEIPT</h2>
+
+          <div class="section">
+            <h3 class="section-title">Customer Information</h3>
+            <div class="grid">
+              <div class="grid-item"><span class="label">Name:</span> ${receiptData.name || ""}</div>
+              <div class="grid-item"><span class="label">Phone:</span> ${receiptData.phone || ""}</div>
+              <div class="grid-item"><span class="label">Email:</span> ${receiptData.email || ""}</div>
+              <div class="grid-item"><span class="label">Date Booked:</span> ${receiptData.created_at ? new Date(receiptData.created_at).toLocaleDateString() : ""}</div>
+            </div>
+          </div>
+
+          <div class="section">
+            <h3 class="section-title">Service Details</h3>
+            <div class="grid">
+              <div class="grid-item"><span class="label">Service:</span> ${receiptData.service_name || ""}</div>
+              <div class="grid-item"><span class="label">Preferred Date:</span> ${receiptData.preferred_date || ""}</div>
+              <div class="grid-item"><span class="label">Status:</span> ${receiptData.status || ""}</div>
+              ${receiptData.completed_at ? `<div class="grid-item"><span class="label">Completed:</span> ${new Date(receiptData.completed_at).toLocaleDateString()}</div>` : ""}
+            </div>
+          </div>
+
+          ${
+            receiptData.device_model ||
+            receiptData.serial_number ||
+            receiptData.product_number ||
+            receiptData.screen_size
+              ? `
+          <div class="section">
+            <h3 class="section-title">Device Information</h3>
+            <div class="grid">
+              ${receiptData.device_model ? `<div class="grid-item"><span class="label">Model:</span> ${receiptData.device_model}</div>` : ""}
+              ${receiptData.screen_size ? `<div class="grid-item"><span class="label">Screen Size:</span> ${receiptData.screen_size}</div>` : ""}
+              ${receiptData.serial_number ? `<div class="grid-item"><span class="label">Serial #:</span> ${receiptData.serial_number}</div>` : ""}
+              ${receiptData.product_number ? `<div class="grid-item"><span class="label">Product #:</span> ${receiptData.product_number}</div>` : ""}
+            </div>
+          </div>`
+              : ""
+          }
+
+          ${
+            receiptData.diagnosis || receiptData.work_performed
+              ? `
+          <div class="section">
+            <h3 class="section-title">Service Report</h3>
+            ${
+              receiptData.diagnosis
+                ? `
+            <div class="notes-box">
+              <p class="notes-label">Diagnosis:</p>
+              <p>${receiptData.diagnosis}</p>
+            </div>`
+                : ""
+            }
+            ${
+              receiptData.work_performed
+                ? `
+            <div class="notes-box" style="margin-top: 5px;">
+              <p class="notes-label">Work Performed:</p>
+              <p>${receiptData.work_performed}</p>
+            </div>`
+                : ""
+            }
+          </div>`
+              : ""
+          }
+
+          ${
+            receiptData.notes
+              ? `
+          <div class="section">
+            <h3 class="section-title">Customer Notes</h3>
+            <div class="notes-box">
+              <p>${receiptData.notes}</p>
+            </div>
+          </div>`
+              : ""
+          }
+
+          <div class="total">
+            Total: $${receiptData.final_cost?.toFixed(2) || "0.00"}
+          </div>
+
+          <div class="footer">
+            <p>Thank you for choosing PromptTech Solutions!</p>
+            <p>Questions? Contact us at ${receiptData.company?.phone || "+501 638-6318"}</p>
+          </div>
+        </div>
+      </body>
+      </html>
+    `);
+    printWindow.document.close();
+    // Small delay to ensure styles are loaded before printing
+    setTimeout(() => {
+      printWindow.print();
+    }, 250);
+  };
+
   // Order status update
   const handleUpdateOrderStatus = async () => {
     if (!selectedOrder || !newStatus) return;
@@ -740,7 +1119,7 @@ const AdminDashboard = () => {
         },
         {
           headers: { Authorization: `Bearer ${token}` },
-        }
+        },
       );
       toast.success("Order status updated");
       setSelectedOrder(null);
@@ -765,7 +1144,7 @@ const AdminDashboard = () => {
         },
         {
           headers: { Authorization: `Bearer ${token}` },
-        }
+        },
       );
       toast.success("Inventory adjusted");
       setAdjustDialog(false);
@@ -784,10 +1163,10 @@ const AdminDashboard = () => {
       await axios.put(
         `${API}/admin/products/${product.id}`,
         { is_active: !product.is_active },
-        { headers: { Authorization: `Bearer ${token}` } }
+        { headers: { Authorization: `Bearer ${token}` } },
       );
       toast.success(
-        `Product ${!product.is_active ? "activated" : "deactivated"}`
+        `Product ${!product.is_active ? "activated" : "deactivated"}`,
       );
       fetchInventory();
     } catch (error) {
@@ -803,7 +1182,7 @@ const AdminDashboard = () => {
         {
           headers: { Authorization: `Bearer ${token}` },
           responseType: "blob",
-        }
+        },
       );
       const url = window.URL.createObjectURL(new Blob([response.data]));
       const link = document.createElement("a");
@@ -825,7 +1204,7 @@ const AdminDashboard = () => {
         {
           headers: { Authorization: `Bearer ${token}` },
           responseType: "blob",
-        }
+        },
       );
       const url = window.URL.createObjectURL(new Blob([response.data]));
       const link = document.createElement("a");
@@ -867,7 +1246,7 @@ const AdminDashboard = () => {
           categoryForm,
           {
             headers: { Authorization: `Bearer ${token}` },
-          }
+          },
         );
         toast.success("Category updated");
       } else {
@@ -886,18 +1265,22 @@ const AdminDashboard = () => {
     }
   };
 
-  const handleDeleteCategory = async (id) => {
-    if (!window.confirm("Are you sure you want to delete this category?"))
-      return;
-    try {
-      await axios.delete(`${API}/admin/categories/${id}`, {
-        headers: { Authorization: `Bearer ${token}` },
-      });
-      toast.success("Category deleted");
-      fetchCategories();
-    } catch (error) {
-      toast.error("Failed to delete category");
-    }
+  const handleDeleteCategory = (id) => {
+    showConfirmDialog(
+      "Delete Category",
+      "Are you sure you want to delete this category? This action cannot be undone.",
+      async () => {
+        try {
+          await axios.delete(`${API}/admin/categories/${id}`, {
+            headers: { Authorization: `Bearer ${token}` },
+          });
+          toast.success("Category deleted");
+          fetchCategories();
+        } catch (error) {
+          toast.error("Failed to delete category");
+        }
+      },
+    );
   };
 
   if (loading) {
@@ -966,6 +1349,10 @@ const AdminDashboard = () => {
               <BarChart3 className="h-4 w-4" />
               <span className="hidden md:inline">Reports</span>
             </TabsTrigger>
+            <TabsTrigger value="media" className="gap-2">
+              <Image className="h-4 w-4" />
+              <span className="hidden md:inline">Media</span>
+            </TabsTrigger>
             <TabsTrigger value="about" className="gap-2">
               <Info className="h-4 w-4" />
               <span className="hidden md:inline">About Page</span>
@@ -1063,7 +1450,7 @@ const AdminDashboard = () => {
                         <p className="text-xl font-bold">
                           $
                           {(dashboardData.stats.monthly_revenue || 0).toFixed(
-                            2
+                            2,
                           )}
                         </p>
                       </div>
@@ -1386,7 +1773,7 @@ const AdminDashboard = () => {
                                   brand: product.brand,
                                   images:
                                     product.images?.map(
-                                      (img) => img.url || img.image_url
+                                      (img) => img.url || img.image_url,
                                     ) || [],
                                 });
                                 setProductDialog(true);
@@ -1643,11 +2030,11 @@ const AdminDashboard = () => {
                                   description: service.description,
                                   price: service.price.toString(),
                                   duration: service.duration,
-                                  image_url: service.image_url,
+                                  image_url: service.image_url || "",
                                   category: service.category,
                                   images:
                                     service.images?.map(
-                                      (img) => img.url || img.image_url
+                                      (img) => img.url || img.image_url,
                                     ) || [],
                                 });
                                 setServiceDialog(true);
@@ -1954,14 +2341,14 @@ const AdminDashboard = () => {
 
                       // Pagination
                       const totalPages = Math.ceil(
-                        filteredInventory.length / inventoryItemsPerPage
+                        filteredInventory.length / inventoryItemsPerPage,
                       );
                       const startIndex =
                         (inventoryCurrentPage - 1) * inventoryItemsPerPage;
                       const endIndex = startIndex + inventoryItemsPerPage;
                       const paginatedInventory = filteredInventory.slice(
                         startIndex,
-                        endIndex
+                        endIndex,
                       );
 
                       return paginatedInventory.map((product) => (
@@ -2042,7 +2429,7 @@ const AdminDashboard = () => {
                                       value={adjustQty}
                                       onChange={(e) =>
                                         setAdjustQty(
-                                          parseInt(e.target.value) || 0
+                                          parseInt(e.target.value) || 0,
                                         )
                                       }
                                     />
@@ -2093,11 +2480,11 @@ const AdminDashboard = () => {
                     });
                     const start = Math.min(
                       (inventoryCurrentPage - 1) * inventoryItemsPerPage + 1,
-                      filtered.length
+                      filtered.length,
                     );
                     const end = Math.min(
                       inventoryCurrentPage * inventoryItemsPerPage,
-                      filtered.length
+                      filtered.length,
                     );
                     return `Showing ${
                       filtered.length === 0 ? 0 : start
@@ -2134,8 +2521,8 @@ const AdminDashboard = () => {
                             inventoryCategory === "all" ||
                             p.category === inventoryCategory;
                           return matchesSearch && matchesCategory;
-                        }).length / inventoryItemsPerPage
-                      )
+                        }).length / inventoryItemsPerPage,
+                      ),
                     )}
                   </div>
                   <Button
@@ -2158,7 +2545,7 @@ const AdminDashboard = () => {
                             inventoryCategory === "all" ||
                             p.category === inventoryCategory;
                           return matchesSearch && matchesCategory;
-                        }).length / inventoryItemsPerPage
+                        }).length / inventoryItemsPerPage,
                       )
                     }
                   >
